Bug 734090 - update-grub2 missing in grub2-1.99-0.2.fc16.i686
Summary: update-grub2 missing in grub2-1.99-0.2.fc16.i686
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: grub2
Version: 16
Hardware: i686
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 12:47 UTC by Gratien D'haese
Modified: 2011-12-30 22:55 UTC (History)
4 users (show)

Fixed In Version: grub2-1.99-13.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-30 22:55:45 UTC


Attachments (Terms of Use)

Description Gratien D'haese 2011-08-29 12:47:58 UTC
Description of problem: The /usr/share/doc/grub2-1.99/README.Fedora list in the utility section the update-grub2 executable, but this one is missing in the current package


Version-Release number of selected component (if applicable):
grub2-1.99-0.2.fc16.i686

How reproducible:
# rpm -ql grub2 | grep update
/usr/lib/grub/update-grub_lib


Steps to Reproduce:
1. N/A
2.
3.
  
Actual results:
N/A

Expected results:
N/A

Additional info:
The /usr/share/doc/grub2-1.99/README.Fedora is incorrect or not up to date, e.g. http://grub.enbug.org/ URL does not exist. And, update-grub2 is mentioned in the README file. Please update the package with the correct information, and  hopefully with update-grub2 too as we need this to update the grub info on the hard disk.

Comment 1 Gratien D'haese 2011-08-30 09:05:23 UTC
Just read in the sources of grub-1.99 NEWS that update-grub has been replaced by grub-mkconfig command.
Perhaps, just update the README.Fedora file in the Utlities section and replace "update-grub2" with "grub2-mkconfig"

Comment 2 Fedora Admin XMLRPC Client 2011-09-16 19:08:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Mads Kiilerich 2011-10-24 17:33:16 UTC
This issue has a well-defined scope, but see also
Bug 740953 - RFE: Provide command to easily update grub.cfg

Comment 4 Fedora Update System 2011-12-10 06:09:03 UTC
grub2-1.99-13.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/grub2-1.99-13.fc16

Comment 5 Fedora Update System 2011-12-11 21:53:33 UTC
Package grub2-1.99-13.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing grub2-1.99-13.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16975/grub2-1.99-13.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-12-30 22:55:45 UTC
grub2-1.99-13.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.